<template>
  <div class="container">
    <div v-if="isComplete === false || point === 0 || name === ''">
      <h1>Bạn vui lòng quay lại để trả lời câu hỏi</h1>
      <router-link to="/question">Question</router-link>
    </div>
    <div v-else>
      <div class="info-payer">
        <h2>Xin chúc mừng bạn: {{ name }} đã đạt được số tiền: {{ point }}</h2>
      </div>
      <div class="btn-group" role="group" aria-label="Basic example">
        <button type="submit" @click="sendPoint" class="btn btn-primary">
          Gửi điểm tổng kết
        </button>

        <button
          type="submit"
          @click="getReturn()"
          class="btn-agains btn btn-success"
        >
          Chơi lại
        </button>
      </div>
    </div>
    <TablePlayer />
  </div>
</template>

<script>
import { mapActions } from "vuex";
import TablePlayer from "./TablePlayers.vue";

export default {
  name: "Final",
  components: {
    TablePlayer,
  },
  data() {
    return {
      name: String,
      point: Number,
    };
  },
  computed: {
    isComplete() {
      return localStorage.getItem("complete") ?? false;
    },
  },
  methods: {
    ...mapActions({
      addPointToServer: "ADD_POINT_TO_SERVER",
    }),
    sendPoint(e) {
      e.preventDefault();

      if (confirm('Bạn có muốn kết thúc không? ')) {
        const final = {
          name: this.name,
          point: this.point,
        };
        this.addPointToServer(final);
        localStorage.removeItem("name");
        localStorage.removeItem("complete");
        localStorage.removeItem("point");
        this.$router.push({ name: "Home" });
      }
    },
    getReturn() {
      if(confirm('Bạn có chắc muốn chơi lại ?')) {
        localStorage.removeItem("point");
        this.$router.push({ name: "Question" });
      }
    },
  },
  created() {
    this.name = localStorage.getItem("name") ?? "";
    this.point = localStorage.getItem("point") ?? 0;
  },
};
</script>

<style scoped>
.players {
  border-top: 1px solid;
  margin-top: 20px;
  padding-top: 20px;
}

</style>
